import { Config } from '../config.js';
import { FeatureFlags } from '../feature_flags.js';
import { FunctionSource } from '../function.js';
import type { RuntimeCache } from '../utils/cache.js';
type FunctionMap = Map<string, FunctionSource>;
/**
 * Gets a list of functions found in a list of paths.
 */
export declare const getFunctionsFromPaths: (paths: string[], { cache, config, configFileDirectories, dedupe, featureFlags, }: {
    cache: RuntimeCache;
    config?: Config | undefined;
    configFileDirectories?: string[] | undefined;
    dedupe?: boolean | undefined;
    featureFlags?: Partial<Record<"buildRustSource" | "parseWithEsbuild" | "traceWithNft" | "zisi_pure_esm" | "zisi_pure_esm_mjs" | "zisi_output_cjs_extension" | "zisi_unique_entry_file" | "zisi_esbuild_fail_double_glob" | "zisi_go_drop_runtime_override" | "zisi_fix_symlinks", boolean>> | undefined;
}) => Promise<FunctionMap>;
/**
 * Gets a list of functions found in a list of paths.
 */
export declare const getFunctionFromPath: (path: string, { cache, config, configFileDirectories, featureFlags, }: {
    cache: RuntimeCache;
    config?: Config | undefined;
    configFileDirectories?: string[] | undefined;
    featureFlags?: Partial<Record<"buildRustSource" | "parseWithEsbuild" | "traceWithNft" | "zisi_pure_esm" | "zisi_pure_esm_mjs" | "zisi_output_cjs_extension" | "zisi_unique_entry_file" | "zisi_esbuild_fail_double_glob" | "zisi_go_drop_runtime_override" | "zisi_fix_symlinks", boolean>> | undefined;
}) => Promise<FunctionSource | undefined>;
export {};
