import type { FeatureFlags } from '../../../feature_flags.js';
import { ModuleFormat } from './module_format.js';
export declare const ENTRY_FILE_NAME = "___netlify-entry-point";
export declare const BOOTSTRAP_FILE_NAME = "___netlify-bootstrap.mjs";
export interface EntryFile {
    contents: string;
    filename: string;
}
export declare const isNamedLikeEntryFile: (file: string, { basePath, featureFlags, filename, runtimeAPIVersion, }: {
    basePath: string;
    featureFlags: FeatureFlags;
    filename: string;
    runtimeAPIVersion: number;
}) => boolean;
export declare const conflictsWithEntryFile: (srcFiles: string[], { basePath, extension, featureFlags, filename, mainFile, runtimeAPIVersion, }: {
    basePath: string;
    extension: string;
    featureFlags: FeatureFlags;
    filename: string;
    mainFile: string;
    runtimeAPIVersion: number;
}) => boolean;
export declare const getEntryFile: ({ commonPrefix, featureFlags, filename, mainFile, moduleFormat, userNamespace, runtimeAPIVersion, }: {
    commonPrefix: string;
    featureFlags: FeatureFlags;
    filename: string;
    mainFile: string;
    moduleFormat: ModuleFormat;
    userNamespace: string;
    runtimeAPIVersion: number;
}) => EntryFile;
