export type Route = {
    pattern: string;
    methods: string[];
    prefer_static?: boolean;
} & ({
    literal: string;
} | {
    expression: string;
});
interface GetRoutesOptions {
    functionName: string;
    methods: string[];
    path: unknown;
    preferStatic?: boolean;
}
/**
 * Takes a `path` declaration, normalizes it into an array, and processes the
 * individual elements to obtain an array of `Route` expressions.
 */
export declare const getRoutes: ({ functionName, methods, path: pathOrPaths, preferStatic, }: GetRoutesOptions) => Route[];
export {};
